local M = {}

local function updateGFX(dt)
  local driveModeName = ""

  if controller.getController("esc") then
    -- For older ESC systems
    driveModeName = controller.getController("esc").getCurrentConfigData().name

  elseif controller.getController("driveModes") then
    -- For newer ESC systems
    local currentMode = controller.getController("driveModes").serialize().activeDriveModeKey
    driveModeName = v.data.driveModes.modes[currentMode].name
  end

  if streams.willSend("driveModesInfo") then
    gui.send(
        "driveModesInfo",
        {
        currentDriveMode = {
            name = driveModeName
        }
        }
    )
  end
end

M.updateGFX = updateGFX

return M